@use "@/theme/base.scss";

.footer {
  --font-size: 0.75rem;
  @include base.elevated-box;
  border-radius: var(--border-radius) var(--border-radius) 0 0;
  display: grid;
  justify-content: space-between;
  grid: "left middle right" / max-content auto max-content;
  align-items: center;
  gap: var(--spacing);
  margin-top: var(--spacing);
  padding: var(--spacing);
  background: var(--secondary);
  @include base.mq($until: tablet) {
    align-items: center;
    grid: "middle middle" "left right";
    gap: 0;
  }
}

.right {
  grid-area: right;
  @include base.mq($until: tablet) {
    text-align: right;
  }
}

.middle {
  @include base.mq($from: tablet) {
    grid-area: middle;
    text-align: center;
    padding: 0 1rem;
  }
}

.left {
  grid-area: left;
}
